curl --request POST \
--url https://api.meuassistente.rdstationmentoria.com.br/rest/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": null,
"purpose": "leads",
"kbs": [],
"fields": [],
"avatar": null,
"color": "#ff5722",
"status": "draft",
"destinations": [],
"behavior": {
"answerLength": "short",
"personality": "personal",
"engagement": "active"
},
"behavior_type": "basic",
"left": false
}
'import requests
url = "https://api.meuassistente.rdstationmentoria.com.br/rest/agents"
payload = {
"name": "<string>",
"description": None,
"purpose": "leads",
"kbs": [],
"fields": [],
"avatar": None,
"color": "#ff5722",
"status": "draft",
"destinations": [],
"behavior": {
"answerLength": "short",
"personality": "personal",
"engagement": "active"
},
"behavior_type": "basic",
"left": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: null,
purpose: 'leads',
kbs: [],
fields: [],
avatar: null,
color: '#ff5722',
status: 'draft',
destinations: [],
behavior: {answerLength: 'short', personality: 'personal', engagement: 'active'},
behavior_type: 'basic',
left: false
})
};
fetch('https://api.meuassistente.rdstationmentoria.com.br/rest/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"workspaceId": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"description": null,
"avatar": null,
"color": "#ff5722",
"welcome": null,
"instructions": null,
"off": null,
"references": false,
"purpose": "leads",
"freedom": "restricted",
"behavior_type": "basic",
"status": "draft",
"left": false,
"createdAt": "2026-02-08T00:20:48.487Z",
"updatedAt": "2026-02-08T00:20:48.487Z"
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Criar assistente
Cria um novo assistente com as configurações fornecidas.
Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corpo
Nome do assistente
Instruções ao modelo de IA para direcionar a geração de respostas desejadas
Finalidade do assistente
general, leads, cs Bases de conhecimento associadas ao assistente
Identificador único da base de conhecimento
Campos do assistente
Show child attributes
Show child attributes
Avatar do assistente
Show child attributes
Show child attributes
Cor associada ao assistente
^#[0-9a-fA-F]{6}$Status do assistente
online, offline, draft Destinos associados ao agente
Show child attributes
Show child attributes
Comportamento configurável do assistente
Show child attributes
Show child attributes
Configuração de comportamento do assistente
basic, custom Posição do widget do assistente à esquerda da tela
Resposta
Successful response
Identificador do assistente
Nome do assistente
Identificador do workspace associado
ID do usuário que criou o registro
ID do usuário que atualizou o registro
Instruções ao modelo de IA para direcionar a geração de respostas desejadas
Avatar do assistente
Show child attributes
Show child attributes
Cor associada ao assistente
^#[0-9a-fA-F]{6}$Mensagem de boas-vindas do assistente
Instruções para o assistente
Mensagem quando o assistente não souber a resposta
Indica se o assistente usa referências
Finalidade do assistente
general, leads, cs Uso da base de conhecimento
free, restricted Configuração de comportamento do assistente
basic, custom Status do assistente
online, offline, draft Posição do widget do assistente à esquerda da tela
Data de criação
Data da última atualização

